## m68k-vme-tftplilo 1.0.0-1

=== Makefile ===
##--------------------------------------------------------------------------##
#
# VME Linux/m68k TFTP Boot Loader
#
# Makefile
#

# Possible options:
#
# BOOTINFO_COMPAT_1_0:
#   Include support for booting kernel with bootinfo version 1.0 (up to 2.0.x)
#
# DEFAULT_CONFIG_FILE_NAME:
#   The default name of the boot loader configuration file. It may include
#   one or more %C, %S, %G, %B or %M escape sequences that will be replaced
#   with the corresponding IP address in the form of n.n.n.n (see substip()).
#   With the BVME and MVME versions it is possible to override this default
#   by configuring the boot ROMs to pass a parameter string to "tftplilo"
#   which it uses as the configuration file name.
#
OPTIONS				=	-DBOOTINFO_COMPAT_1_0 \
						-DDEFAULT_CONFIG_FILE_NAME=\"tftplilo.conf\"

DESTDIR				=	
CROSS_COMPILE		=	#m68k-linux-

AS					=	$(CROSS_COMPILE)as
LD					=	$(CROSS_COMPILE)ld
CC					=	$(CROSS_COMPILE)gcc
CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 $(OPTIONS)
INSTALL				=	install
MAKE				=	make

COMMON_FILES		=	head.o main.o misc.o config.o boot.o stream.o \
					 	memory_mod.o gunzip_mod.o
BVME_FILES			=	$(COMMON_FILES) bvme.o
MVME_FILES			=	$(COMMON_FILES) mvme.o

##--------------------------------------------------------------------------##
# Targets
#
all: tftplilo.bvme tftplilo.mvme

tftplilo.bvme:	$(BVME_FILES) bvme.ld
				$(LD) -T bvme.ld $(BVME_FILES) -o tftplilo.bvme \
					-oformat binary -M >tftplilo.bvme.map

tftplilo.mvme:	$(MVME_FILES) mvme.ld
				$(LD) -T mvme.ld $(MVME_FILES) -o tftplilo.mvme \
					-oformat binary -M >tftplilo.mvme.map

##--------------------------------------------------------------------------##
# Dependencies
#
gunzip_mod.o	: defs.h bootinfo.h stream.h inflate.c
$(COMMON_FILES) : defs.h bootinfo.h stream.h
bvme.o          : defs.h bootinfo.h bvmbug.h
mvme.o			: defs.h bootinfo.h mvmebug.h

##--------------------------------------------------------------------------##
# Installation
#

install:	tftplilo.bvme tftplilo.mvme
	$(INSTALL) -o root -g disk -m 2775 -d $(DESTDIR)/boot
	$(INSTALL) -o root -g root -m 0644 tftplilo.bvme $(DESTDIR)/boot/
	$(INSTALL) -o root -g root -m 0644 tftplilo.mvme $(DESTDIR)/boot/

##--------------------------------------------------------------------------##
# Clean up
#

clean:
		rm -f *.bvme *.mvme *.o *.map

dist:
		make clean
		make all
		rm -f *.o *.map
		tar -C .. -cvzf ../$$(basename $$(pwd)).tgz $$(basename $$(pwd))

##--------------------------------------------------------------------------##
# General rules
#

%.o:			%.c
				$(CC) $(CFLAGS) -c $< -o $*.o

##-----------------------------< end of file >------------------------------##

=== debian/changelog ===
m68k-vme-tftplilo (1.0.0-1) frozen unstable; urgency=high

  * Initial Release.

 -- Nick Holgate <holgate@debian.org>  Sat, 30 Jan 1999 02:19:42 +0000

Local variables:
mode: debian-changelog
add-log-mailing-address: "holgate@debian.org"
End:

=== debian/control ===
Source: m68k-vme-tftplilo
Section: admin
Priority: extra
Maintainer: Nick Holgate <holgate@debian.org>
Standards-Version: 2.5.0

Package: m68k-vme-tftplilo
Architecture: all
Suggests: netstd
Description:  Linux kernel TFTP boot loader for m68k VME processor boards.
 Tftplilo is a highly configurable kernel and ramdisk network boot loader
 for BVM and Motorola m68k VME processor boards. It provides a mechanism
 for one or more diskless machines to interactively select a kernel boot
 configuration from a set of configurations defined in a single text
 configuration file that is transferred from the host tftp server. Each
 defined configuration specifies things such as Linux kernel and initial
 ramdisk file names which are then also transferred from the host tftp
 server.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=m68k-vme-tftplilo

build:
	$(checkdir)

	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -d -g root -m 755 -o root debian/tmp/usr/doc/$(package)
	install -d -g root -m 755 -o root debian/tmp/usr/doc/$(package)/examples
	install    -g root -m 644 -o root examples/tftplilo.conf.simple \
		debian/tmp/usr/doc/$(package)/examples/tftplilo.conf.simple
	install    -g root -m 644 -o root examples/tftplilo.conf.multi \
		debian/tmp/usr/doc/$(package)/examples/tftplilo.conf.multi
	install    -g root -m 644 -o root README \
		debian/tmp/usr/doc/$(package)/README

# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## m68k-vme-tftplilo 1.1.2-1

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,11 @@
 						-DDEFAULT_CONFIG_FILE_NAME=\"tftplilo.conf\"
 
 DESTDIR				=	
-CROSS_COMPILE		=	#m68k-linux-
+ifneq ($(shell uname -m),m68k)
+ CROSS_COMPILE		=	m68k-linux-
+else
+ CROSS_COMPILE		=	
+endif
 
 AS					=	$(CROSS_COMPILE)as
 LD					=	$(CROSS_COMPILE)ld

=== debian/changelog ===
m68k-vme-tftplilo (1.1.2-1) unstable frozen; urgency=low

  * Added suggests tftpd.
  * Changed %lu printf formats to %u to avoid compiler warnings.
  * Rebuilt using glibc 2.1.

 -- Nick Holgate <holgate@debian.org>  Sun, 16 Jan 2000 23:01:08 +0000

m68k-vme-tftplilo (1.1.1-2) unstable; urgency=low

  * No longer suggests netstd.
  * Changed version number in README and tftplilo.8.
  * Changed references to /usr/doc -> /usr/share/doc. 

 -- Nick Holgate <holgate@debian.org>  Tue,  9 Nov 1999 21:29:12 +0000

m68k-vme-tftplilo (1.1.1-1) unstable; urgency=low

  * Recompiled with GCC 2.95.2.
  * Standards 3.0.1.

 -- Nick Holgate <holgate@debian.org>  Mon, 11 Oct 1999 08:27:51 +0100

m68k-vme-tftplilo (1.1.0-1) unstable; urgency=low

  * Added VME specific bootinfo tags for future kernels.
  * Kernel command line parameters entered at boot prompt no longer replace
    options specified by config file 'cmdline' option, but are appended after.
  * Added new configuration options:
      root
      console
      read-only
      read-write
      description
      message
  * Implemented architecture type configuration conditionals.
  * Fixed off by one error when checking for full kernel command line.
  * Converted Debian packaging rules to use debhelper.

 -- Nick Holgate <holgate@debian.org>  Sat, 10 Jul 1999 00:00:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Nick Holgate <holgate@debian.org>
-Standards-Version: 2.5.0
+Standards-Version: 3.0.1
 
 Package: m68k-vme-tftplilo
 Architecture: all
-Suggests: netstd
+Suggests: bootp, tftpd
 Description:  Linux kernel TFTP boot loader for m68k VME processor boards.
  Tftplilo is a highly configurable kernel and ramdisk network boot loader
  for BVM and Motorola m68k VME processor boards. It provides a mechanism

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -Xboot
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## m68k-vme-tftplilo 1.1.2-2

=== Makefile ===
--- 
+++ 
@@ -47,11 +47,11 @@
 
 tftplilo.bvme:	$(BVME_FILES) bvme.ld
 				$(LD) -T bvme.ld $(BVME_FILES) -o tftplilo.bvme \
-					-oformat binary -M >tftplilo.bvme.map
+					--oformat binary -M >tftplilo.bvme.map
 
 tftplilo.mvme:	$(MVME_FILES) mvme.ld
 				$(LD) -T mvme.ld $(MVME_FILES) -o tftplilo.mvme \
-					-oformat binary -M >tftplilo.mvme.map
+					--oformat binary -M >tftplilo.mvme.map
 
 ##--------------------------------------------------------------------------##
 # Dependencies

=== debian/changelog ===
m68k-vme-tftplilo (1.1.2-2) unstable; urgency=low

  * Rebuilt with GCC 2.95.4 and binutils 2.11.90.0.7. 
  * Minor fixes and reformatting of README.

 -- Nick Holgate <holgate@debian.org>  Wed,  4 Jul 2001 09:40:39 +0100

## m68k-vme-tftplilo 1.1.3+nmu2

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 AS					=	$(CROSS_COMPILE)as
 LD					=	$(CROSS_COMPILE)ld
 CC					=	$(CROSS_COMPILE)gcc
-CFLAGS				=	-O2 -fomit-frame-pointer -Wall -m68060 $(OPTIONS)
+CFLAGS				=	-O2 -fno-builtin $(DEBIAN_EXTRAFLAGS) -fomit-frame-pointer -Wall -m68060 $(OPTIONS)
 INSTALL				=	install
 MAKE				=	make

=== debian/changelog ===
m68k-vme-tftplilo (1.1.3+nmu2) unreleased; urgency=low

  * Non-maintainer upload.
  * Change the package from arch:all to arch:m68k so that
    mini-dak on debian-ports.org is able to process it;
    this change must be reverted once the package is cleaned
    up and if/when it can be reïntroduced to Debian unstable!

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 04 Jun 2011 00:06:11 +0000

m68k-vme-tftplilo (1.1.3+nmu1) unreleased; urgency=low

  * Non-maintainer upload.
  * Correct version number for native package
  * Drop generated files from distfile
  * Remove extraneous spaces
  * debian/source/format: new
  * Update COPYING with new FSF template due to postal address change
  * Fix FTBFS: copy needed kernel headers into package, suggested by
    waldi (from .../linux-headers-2.6.39-1-common_2.6.39-1_m68k.deb)
  * Prevent GCC from optimising away local variables only accessed
    from inline assembly code
  * Get rid of Linux 2.4 era SYMBOL_NAME_STR
  * Fix compiler and some lintian warnings
  * Upload to debian-ports.org unreleased due to removal from sid

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 03 Jun 2011 22:41:04 +0000

m68k-vme-tftplilo (1.1.3-1) unstable; urgency=low

  * Rebuilt with GCC 3.3.1 and binutils 2.14.90.0.6.
  * Lots of fixes to asm statements for multi-line string literals
  * Added memcpy() function as gcc may insert calls to it
  * Disable gcc builtins, as they clash will local functions
  * Changed maintainer to me
  * Change to do the work in binary-indep, not binary-arch
  * Standards 3.6.1.

 -- Richard Hirst <richard@sleepie.demon.co.uk>  Mon, 20 Oct 2003 10:25:49 +0100

=== debian/control ===
Source: m68k-vme-tftplilo
Section: admin
Priority: extra
Maintainer: Richard Hirst <richard@sleepie.demon.co.uk>
Build-Depends: debhelper, gcc-m68k-linux [!m68k], binutils-m68k-linux [!m68k]
Standards-Version: 3.6.1

Package: m68k-vme-tftplilo
Architecture: m68k
Depends: ${misc:Depends}
Suggests: bootp, tftpd
Description: Linux kernel TFTP boot loader for m68k VME processor boards
 tftplilo is a highly configurable kernel and ramdisk network boot loader
 for BVM and Motorola m68k VME processor boards. It provides a mechanism
 for one or more diskless machines to interactively select a kernel boot
 configuration from a set of configurations defined in a single text
 configuration file that is transferred from the host TFTP server. Each
 defined configuration specifies things such as Linux kernel and initial
 ramdisk file names which are then also transferred from the host TFTP
 server.

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEBIAN_EXTRAFLAGS+=	-I$$(pwd)/debian/kernel-headers
+DEBIAN_EXTRAFLAGS+=	-fno-strict-aliasing
+
 build: build-stamp
 build-stamp:
 	dh_testdir
 
-	$(MAKE) 
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)"
 
 	touch build-stamp
 
@@ -20,7 +23,7 @@
 	dh_testroot
 	rm -f build-stamp install-stamp
 
-	-$(MAKE) clean
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)" clean
 
 	dh_clean
 
@@ -31,16 +34,13 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)" \
+	    install DESTDIR=$$(pwd)/debian/tmp
 
 	touch install-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot
@@ -52,7 +52,7 @@
 #	dh_installcron
 	dh_installmanpages
 #	dh_undocumented
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress
@@ -60,13 +60,17 @@
 #	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_perl 
+#	dh_perl
 #	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch

## m68k-vme-tftplilo 1.1.3-1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 AS					=	$(CROSS_COMPILE)as
 LD					=	$(CROSS_COMPILE)ld
 CC					=	$(CROSS_COMPILE)gcc
-CFLAGS				=	-O2 -fno-builtin $(DEBIAN_EXTRAFLAGS) -fomit-frame-pointer -Wall -m68060 $(OPTIONS)
+CFLAGS				=	-O2 -fno-builtin -fomit-frame-pointer -Wall -m68060 $(OPTIONS)
 INSTALL				=	install
 MAKE				=	make

=== debian/control ===
Source: m68k-vme-tftplilo
Section: admin
Priority: extra
Maintainer: Richard Hirst <richard@sleepie.demon.co.uk>
Build-Depends: debhelper, gcc-m68k-linux [!m68k], binutils-m68k-linux [!m68k]
Standards-Version: 3.6.1

Package: m68k-vme-tftplilo
Architecture: all
Suggests: bootp, tftpd
Description:  Linux kernel TFTP boot loader for m68k VME processor boards.
 Tftplilo is a highly configurable kernel and ramdisk network boot loader
 for BVM and Motorola m68k VME processor boards. It provides a mechanism
 for one or more diskless machines to interactively select a kernel boot
 configuration from a set of configurations defined in a single text
 configuration file that is transferred from the host tftp server. Each
 defined configuration specifies things such as Linux kernel and initial
 ramdisk file names which are then also transferred from the host tftp
 server.

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEBIAN_EXTRAFLAGS+=	-I$$(pwd)/debian/kernel-headers
-DEBIAN_EXTRAFLAGS+=	-fno-strict-aliasing
-
 build: build-stamp
 build-stamp:
 	dh_testdir
 
-	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)"
+	$(MAKE) 
 
 	touch build-stamp
 
@@ -23,7 +20,7 @@
 	dh_testroot
 	rm -f build-stamp install-stamp
 
-	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)" clean
+	-$(MAKE) clean
 
 	dh_clean
 
@@ -34,8 +31,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(MAKE) DEBIAN_EXTRAFLAGS="$(DEBIAN_EXTRAFLAGS)" \
-	    install DESTDIR=$$(pwd)/debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 
 	touch install-stamp
 
@@ -52,7 +48,7 @@
 #	dh_installcron
 	dh_installmanpages
 #	dh_undocumented
-	dh_installchangelogs
+	dh_installchangelogs 
 	dh_link
 	dh_strip
 	dh_compress
@@ -60,7 +56,7 @@
 #	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
+#	dh_perl 
 #	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
@@ -70,7 +66,7 @@
 binary-arch: build install
 # We have nothing to do by default.
 
-source diff:
+source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
